﻿using KB9485_XamDataGrid_FixedRecordSelector.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB9485_XamDataGrid_FixedRecordSelector
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DataItem> DataItems { get; set; } = new ObservableCollection<DataItem>();

        public MainWindow()
        {
            InitializeComponent();

            for(int i = 0; i < 10; i++)
            {
                this.DataItems.Add(new DataItem { 
                    Id = i,
                    Name = $"Name {i.ToString()}",
                    Price = 300,
                    IsActive = true,
                    RegisteredDate = DateTime.Today
                });
            }

            this.DataContext = this.DataItems;
        }
    }
}
